> For the complete documentation index, see [llms.txt](https://docs.flatredball.com/flatredball/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flatredball.com/flatredball/api/flatredball/content/scene/camerasave.md).

# CameraSave

### Introduction

The CameraSave class is a class that can store information about a [FlatRedBall.Camera](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php) which can be saved and loaded to/from disk. The CameraSave class appears in the [SpriteEditorScene](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php) class.

### Setting a Camera's properties from a CameraSave instance

The most common use of the CameraSave class is in the [SpriteEditorScene](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php) class.

The following code loads a [SpriteEditorScene](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php) from a .scnx file and sets the default [Camera's](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/docs/index.php) properties to match the CameraSave.

```
// This assumes that Content\MyScene.scnx is a valid .scnx file
SpriteEditorScene ses = SpriteEditorScene.FromFile(@"Content\MyScene.scnx");
// We'll use the default Camera:
Camera cameraToSet = SpriteManager.Camera;
// Now simply apply the properties as follows:
ses.Camera.SetCamera(cameraToSet);
```

Did this article leave any questions unanswered? Post any question in our [forums](https://github.com/flatredball/FlatRedBallDocs/blob/main/frb/forum.md) for a rapid response.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.flatredball.com/flatredball/api/flatredball/content/scene/camerasave.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
